Name:           meep
Version:        1.29.0
Release:        2%{?dist}
Summary:        A software for electromagnetics simulation via FDTD

License:        GPL-2.0-or-later
URL:            https://github.com/NanoComp/meep
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
BuildRequires:  blas-devel
BuildRequires:  lapack-devel
BuildRequires:  hdf5-devel
BuildRequires:  harminv-devel
BuildRequires:  fftw-devel
BuildRequires:  guile-devel
BuildRequires:  libctl-devel
BuildRequires:  mpb-devel
BuildRequires:  python3-devel
BuildRequires:  python3-matplotlib

%description
Meep implements the finite-difference time-domain (FDTD) method for 
computational electromagnetics. This is a widely used technique in 
which space is divided into a discrete grid and the fields are evolved 
in time using discrete time steps — as the grid and the time steps are 
made finer and finer, this becomes a closer and closer approximation 
for the true continuous equations, and one can simulate many practical 
problems essentially exactly.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n     python3-%{name}
Summary:        Python library files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
The python3-%{name} package contains python libraries for %{name}.

%package -n     python3-%{name}-devel
Summary:        Development files for python3-%{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}-devel
The python3-%{name}-devel package contains libraries and header files for
developing applications that use python3-%{name}.

%prep
%autosetup

%build
%configure --enable-shared
%make_build

%install
%make_install

%files
%license LICENSE
%doc NEWS.md README.md
%{_bindir}/meep
%{_libdir}/libmeep.so.33
%{_libdir}/libmeep.so.33.0.0
%{_datadir}/meep/

%files devel
%{_includedir}/meep.hpp
%{_includedir}/meep/
%{_libdir}/libmeep.a
%{_libdir}/libmeep.so
%{_libdir}/pkgconfig/meep.pc

%files -n python3-%{name}
%{_libdir}/libpympb.so.33
%{_libdir}/libpympb.so.33.0.0
%{python3_sitelib}/meep/
%{python3_sitearch}/meep/

%files -n python3-%{name}-devel
%{_libdir}/libpympb.a
%{_libdir}/libpympb.so

%changelog
%autochangelog
